[Overview][Classes][Procedures and functions][Index] | Reference for unit 'streamcoll' (#fcl)

# ColReadCurrency

Read a currency value from the stream

## Declaration

Source position: streamcoll.pp line 78

`function ColReadCurrency(`
`S: TStream`
`):Currency;`

## Arguments

`S` |  | Stream to read currency value from

## Function result

Currency value read from the stream

## Description

ColReadCurrency reads a currency value from the stream S as it was written by ColWriteCurrency and returns the read value. The value cannot be read and written across systems that have different endian values.

## See also

ColReadDateTime |  | Read a TDateTime value from a stream
ColReadBoolean |  | Read a boolean value from a stream
ColReadString |  | Read a string from a stream
ColReadInteger |  | Read a 32-bit integer from a stream.
ColReadFloat |  | Read a floating point value from a stream
ColWriteCurrency |  | Write a currency value to stream

The latest version of this document can be found at lazarus-ccr.sourceforge.net.